%define upstream_name Dist-Zilla-Plugin-ContributorsFromGit
%define upstream_version 0.017

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Populates your 'CONTRIBUTORS' POD from the list of git authors
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(aliased)
BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(autobox::Junctions)
BuildRequires:	perl(Directory::Scratch)
BuildRequires:	perl(Dist::Zilla::Role::RegisterStash)
BuildRequires:	perl(Dist::Zilla::Stash::PodWeaver)
BuildRequires:	perl(File::ShareDir::ProjectDistDir)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(IPC::System::Simple)
BuildRequires:	perl(List::AllUtils)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Reindeer)
BuildRequires:	perl(Syntax::Keyword::Junction)
BuildRequires:	perl(File::chdir)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::File::ShareDir)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(Test::TempDir)
BuildRequires:	perl(Test::TempDir::Tiny)

BuildArch:	noarch

%description
This plugin makes it easy to acknowledge the contributions of others by
populating a %PodWeaver stash with the unique list of all git commit
authors reachable from the current HEAD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE README META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.17.0-3.mga6
+ Revision: 1026187
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.17.0-2.mga6
+ Revision: 966575
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 845940
- update to 0.017

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 740719
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.14.0-1.mga5
+ Revision: 650419
- update to 0.014

* Fri May 02 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 619542
- update to 0.013

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 529912
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 454079
- imported package perl-Dist-Zilla-Plugin-ContributorsFromGit

